## IdeBuildStageMkdirs IdeBuildStageMkdirs |

## Functions

IdeBuildStage * | ide_build_stage_mkdirs_new ()
void | ide_build_stage_mkdirs_add_path ()

## Types and Values

#define | IDE_TYPE_BUILD_STAGE_MKDIRS
struct | IdeBuildStageMkdirsClass
| IdeBuildStageMkdirs

## Object Hierarchy

        GObject
        ╰── IdeObject
            ╰── IdeBuildStage
                ╰── IdeBuildStageMkdirs

## Description

## Functions

### ide_build_stage_mkdirs_new ()

    IdeBuildStage *
    ide_build_stage_mkdirs_new (IdeContext *context);

### ide_build_stage_mkdirs_add_path ()

    void
    ide_build_stage_mkdirs_add_path (IdeBuildStageMkdirs *self,
                                     const gchar *path,
                                     gboolean with_parents,
                                     gint mode,
                                     gboolean remove_on_rebuild);

## Types and Values

### IDE_TYPE_BUILD_STAGE_MKDIRS

    #define IDE_TYPE_BUILD_STAGE_MKDIRS (ide_build_stage_mkdirs_get_type())

### struct IdeBuildStageMkdirsClass

    struct IdeBuildStageMkdirsClass {
      IdeBuildStageClass parent_class;
    };

### IdeBuildStageMkdirs

    typedef struct _IdeBuildStageMkdirs IdeBuildStageMkdirs;